define(["require", "exports", "aurelia-framework", "@aurelia-mdc-web/base", "@material/select", "./mdc-select-value-observer", "./mdc-default-select-configuration", "./mdc-select"], function (require, exports, aurelia_framework_1, base_1, select_1, mdc_select_value_observer_1, mdc_default_select_configuration_1, mdc_select_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.MdcDefaultSelectConfiguration = exports.MdcSelect = void 0;
    exports.configure = configure;
    Object.defineProperty(exports, "MdcDefaultSelectConfiguration", { enumerable: true, get: function () { return mdc_default_select_configuration_1.MdcDefaultSelectConfiguration; } });
    Object.defineProperty(exports, "MdcSelect", { enumerable: true, get: function () { return mdc_select_1.MdcSelect; } });
    function configure(frameworkConfig, callback) {
        frameworkConfig.container.get(base_1.MdcComponentAdapters).registerMdcElementConfig(selectConfig);
        frameworkConfig.globalResources([
            aurelia_framework_1.PLATFORM.moduleName('./mdc-select'),
            aurelia_framework_1.PLATFORM.moduleName('./mdc-select-icon'),
            aurelia_framework_1.PLATFORM.moduleName('./mdc-select-helper-text/mdc-select-helper-text')
        ]);
        frameworkConfig.aurelia
            .use
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/floating-label'))
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/line-ripple'))
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/list'))
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/menu'))
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/notched-outline'))
            .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/ripple'));
        if (typeof callback === 'function') {
            var config = frameworkConfig.container.get(mdc_default_select_configuration_1.MdcDefaultSelectConfiguration);
            callback(config);
        }
    }
    var selectConfig = {
        tagName: 'mdc-select',
        properties: {
            value: {
                defaultBindingMode: aurelia_framework_1.bindingMode.twoWay,
                getObserver: function (element) {
                    return new mdc_select_value_observer_1.MdcSelectValueObserver(element, new aurelia_framework_1.EventSubscriber([select_1.strings.CHANGE_EVENT]));
                }
            }
        }
    };
});
//# sourceMappingURL=index.js.map