define(["require", "exports", "tslib", "aurelia-framework", "@aurelia-mdc-web/base", "@material/select"], function (require, exports, tslib_1, aurelia_framework_1, base_1, select_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.MdcSelectIcon = exports.mdcIconStrings = void 0;
    exports.mdcIconStrings = {
        ATTRIBUTE: 'mdc-select-icon'
    };
    var MdcSelectIcon = /** @class */ (function (_super) {
        tslib_1.__extends(MdcSelectIcon, _super);
        function MdcSelectIcon() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        // eslint-disable-next-line @typescript-eslint/require-await
        MdcSelectIcon.prototype.initialise = function () {
            return tslib_1.__awaiter(this, void 0, void 0, function () {
                return tslib_1.__generator(this, function (_a) {
                    this.root.classList.add('mdc-select__icon');
                    return [2 /*return*/];
                });
            });
        };
        MdcSelectIcon.prototype.getDefaultFoundation = function () {
            var _this = this;
            // DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
            // To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
            var adapter = {
                getAttr: function (attr) { return _this.root.getAttribute(attr); },
                setAttr: function (attr, value) { return _this.root.setAttribute(attr, value); },
                removeAttr: function (attr) { return _this.root.removeAttribute(attr); },
                setContent: function (content) {
                    _this.root.textContent = content;
                },
                registerInteractionHandler: function (evtType, handler) { return _this.listen(evtType, handler); },
                deregisterInteractionHandler: function (evtType, handler) { return _this.unlisten(evtType, handler); },
                notifyIconAction: function () { return _this.emit(select_1.MDCSelectIconFoundation.strings.ICON_EVENT, {} /* evtData */, true /* shouldBubble */); },
            };
            return new select_1.MDCSelectIconFoundation(adapter);
        };
        MdcSelectIcon = tslib_1.__decorate([
            (0, aurelia_framework_1.inject)(Element),
            (0, aurelia_framework_1.customAttribute)(exports.mdcIconStrings.ATTRIBUTE)
        ], MdcSelectIcon);
        return MdcSelectIcon;
    }(base_1.MdcComponent));
    exports.MdcSelectIcon = MdcSelectIcon;
});
//# sourceMappingURL=mdc-select-icon.js.map