"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MdcDefaultSelectConfiguration = exports.MdcSelect = void 0;
exports.configure = configure;
var aurelia_framework_1 = require("aurelia-framework");
var base_1 = require("@aurelia-mdc-web/base");
var select_1 = require("@material/select");
var mdc_select_value_observer_1 = require("./mdc-select-value-observer");
var mdc_default_select_configuration_1 = require("./mdc-default-select-configuration");
Object.defineProperty(exports, "MdcDefaultSelectConfiguration", { enumerable: true, get: function () { return mdc_default_select_configuration_1.MdcDefaultSelectConfiguration; } });
var mdc_select_1 = require("./mdc-select");
Object.defineProperty(exports, "MdcSelect", { enumerable: true, get: function () { return mdc_select_1.MdcSelect; } });
function configure(frameworkConfig, callback) {
    frameworkConfig.container.get(base_1.MdcComponentAdapters).registerMdcElementConfig(selectConfig);
    frameworkConfig.globalResources([
        aurelia_framework_1.PLATFORM.moduleName('./mdc-select'),
        aurelia_framework_1.PLATFORM.moduleName('./mdc-select-icon'),
        aurelia_framework_1.PLATFORM.moduleName('./mdc-select-helper-text/mdc-select-helper-text')
    ]);
    frameworkConfig.aurelia
        .use
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/floating-label'))
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/line-ripple'))
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/list'))
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/menu'))
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/notched-outline'))
        .plugin(aurelia_framework_1.PLATFORM.moduleName('@aurelia-mdc-web/ripple'));
    if (typeof callback === 'function') {
        var config = frameworkConfig.container.get(mdc_default_select_configuration_1.MdcDefaultSelectConfiguration);
        callback(config);
    }
}
var selectConfig = {
    tagName: 'mdc-select',
    properties: {
        value: {
            defaultBindingMode: aurelia_framework_1.bindingMode.twoWay,
            getObserver: function (element) {
                return new mdc_select_value_observer_1.MdcSelectValueObserver(element, new aurelia_framework_1.EventSubscriber([select_1.strings.CHANGE_EVENT]));
            }
        }
    }
};
//# sourceMappingURL=index.js.map