"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MdcSelectHelperText = exports.mdcHelperTextCssClasses = void 0;
var tslib_1 = require("tslib");
var base_1 = require("@aurelia-mdc-web/base");
var select_1 = require("@material/select");
var aurelia_framework_1 = require("aurelia-framework");
var aurelia_typed_observable_plugin_1 = require("aurelia-typed-observable-plugin");
exports.mdcHelperTextCssClasses = {
    ROOT: 'mdc-select-helper-text'
};
var MdcSelectHelperText = /** @class */ (function (_super) {
    tslib_1.__extends(MdcSelectHelperText, _super);
    function MdcSelectHelperText() {
        var _this = _super.apply(this, tslib_1.__spreadArray([], tslib_1.__read(arguments), false)) || this;
        _this.helperTextCssClasses = select_1.helperTextCssClasses;
        _this.ROOT = exports.mdcHelperTextCssClasses.ROOT;
        return _this;
    }
    Object.defineProperty(MdcSelectHelperText.prototype, "foundationForTextField", {
        // Provided for access by MDCTextField component
        get: function () {
            return this.foundation;
        },
        enumerable: false,
        configurable: true
    });
    MdcSelectHelperText.prototype.getDefaultFoundation = function () {
        var _this = this;
        // DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
        // To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
        var adapter = {
            addClass: function (className) { return _this.root.classList.add(className); },
            removeClass: function (className) { return _this.root.classList.remove(className); },
            hasClass: function (className) { return _this.root.classList.contains(className); },
            getAttr: function (attr) { return _this.root.getAttribute(attr); },
            setAttr: function (attr, value) { return _this.root.setAttribute(attr, value); },
            removeAttr: function (attr) { return _this.root.removeAttribute(attr); },
            setContent: function (content) {
                _this.root.textContent = content;
            },
        };
        return new select_1.MDCSelectHelperTextFoundation(adapter);
    };
    tslib_1.__decorate([
        aurelia_typed_observable_plugin_1.bindable.booleanAttr,
        tslib_1.__metadata("design:type", Boolean)
    ], MdcSelectHelperText.prototype, "persistent", void 0);
    tslib_1.__decorate([
        aurelia_typed_observable_plugin_1.bindable.booleanAttr,
        tslib_1.__metadata("design:type", Boolean)
    ], MdcSelectHelperText.prototype, "validation", void 0);
    tslib_1.__decorate([
        aurelia_typed_observable_plugin_1.bindable.none,
        tslib_1.__metadata("design:type", Array)
    ], MdcSelectHelperText.prototype, "errors", void 0);
    MdcSelectHelperText = tslib_1.__decorate([
        (0, aurelia_framework_1.inject)(Element),
        (0, aurelia_framework_1.useView)(aurelia_framework_1.PLATFORM.moduleName('./mdc-select-helper-text.html')),
        (0, aurelia_framework_1.customElement)(exports.mdcHelperTextCssClasses.ROOT)
    ], MdcSelectHelperText);
    return MdcSelectHelperText;
}(base_1.MdcComponent));
exports.MdcSelectHelperText = MdcSelectHelperText;
//# sourceMappingURL=mdc-select-helper-text.js.map