import { __decorate, __extends, __metadata, __read, __spreadArray } from "tslib";
import { MdcComponent } from '@aurelia-mdc-web/base';
import { helperTextCssClasses, MDCSelectHelperTextFoundation } from '@material/select';
import { inject, customElement, useView, PLATFORM } from 'aurelia-framework';
import { bindable } from 'aurelia-typed-observable-plugin';
export var mdcHelperTextCssClasses = {
    ROOT: 'mdc-select-helper-text'
};
var MdcSelectHelperText = /** @class */ (function (_super) {
    __extends(MdcSelectHelperText, _super);
    function MdcSelectHelperText() {
        var _this = _super.apply(this, __spreadArray([], __read(arguments), false)) || this;
        _this.helperTextCssClasses = helperTextCssClasses;
        _this.ROOT = mdcHelperTextCssClasses.ROOT;
        return _this;
    }
    Object.defineProperty(MdcSelectHelperText.prototype, "foundationForTextField", {
        // Provided for access by MDCTextField component
        get: function () {
            return this.foundation;
        },
        enumerable: false,
        configurable: true
    });
    MdcSelectHelperText.prototype.getDefaultFoundation = function () {
        var _this = this;
        // DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
        // To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
        var adapter = {
            addClass: function (className) { return _this.root.classList.add(className); },
            removeClass: function (className) { return _this.root.classList.remove(className); },
            hasClass: function (className) { return _this.root.classList.contains(className); },
            getAttr: function (attr) { return _this.root.getAttribute(attr); },
            setAttr: function (attr, value) { return _this.root.setAttribute(attr, value); },
            removeAttr: function (attr) { return _this.root.removeAttribute(attr); },
            setContent: function (content) {
                _this.root.textContent = content;
            },
        };
        return new MDCSelectHelperTextFoundation(adapter);
    };
    __decorate([
        bindable.booleanAttr,
        __metadata("design:type", Boolean)
    ], MdcSelectHelperText.prototype, "persistent", void 0);
    __decorate([
        bindable.booleanAttr,
        __metadata("design:type", Boolean)
    ], MdcSelectHelperText.prototype, "validation", void 0);
    __decorate([
        bindable.none,
        __metadata("design:type", Array)
    ], MdcSelectHelperText.prototype, "errors", void 0);
    MdcSelectHelperText = __decorate([
        inject(Element),
        useView(PLATFORM.moduleName('./mdc-select-helper-text.html')),
        customElement(mdcHelperTextCssClasses.ROOT)
    ], MdcSelectHelperText);
    return MdcSelectHelperText;
}(MdcComponent));
export { MdcSelectHelperText };
//# sourceMappingURL=mdc-select-helper-text.js.map