import { __awaiter, __decorate, __extends, __generator } from "tslib";
import { customAttribute, inject } from 'aurelia-framework';
import { MdcComponent } from '@aurelia-mdc-web/base';
import { MDCSelectIconFoundation } from '@material/select';
export var mdcIconStrings = {
    ATTRIBUTE: 'mdc-select-icon'
};
var MdcSelectIcon = /** @class */ (function (_super) {
    __extends(MdcSelectIcon, _super);
    function MdcSelectIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    // eslint-disable-next-line @typescript-eslint/require-await
    MdcSelectIcon.prototype.initialise = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                this.root.classList.add('mdc-select__icon');
                return [2 /*return*/];
            });
        });
    };
    MdcSelectIcon.prototype.getDefaultFoundation = function () {
        var _this = this;
        // DO NOT INLINE this variable. For backward compatibility, foundations take a Partial<MDCFooAdapter>.
        // To ensure we don't accidentally omit any methods, we need a separate, strongly typed adapter variable.
        var adapter = {
            getAttr: function (attr) { return _this.root.getAttribute(attr); },
            setAttr: function (attr, value) { return _this.root.setAttribute(attr, value); },
            removeAttr: function (attr) { return _this.root.removeAttribute(attr); },
            setContent: function (content) {
                _this.root.textContent = content;
            },
            registerInteractionHandler: function (evtType, handler) { return _this.listen(evtType, handler); },
            deregisterInteractionHandler: function (evtType, handler) { return _this.unlisten(evtType, handler); },
            notifyIconAction: function () { return _this.emit(MDCSelectIconFoundation.strings.ICON_EVENT, {} /* evtData */, true /* shouldBubble */); },
        };
        return new MDCSelectIconFoundation(adapter);
    };
    MdcSelectIcon = __decorate([
        inject(Element),
        customAttribute(mdcIconStrings.ATTRIBUTE)
    ], MdcSelectIcon);
    return MdcSelectIcon;
}(MdcComponent));
export { MdcSelectIcon };
//# sourceMappingURL=mdc-select-icon.js.map